GET /autocomplete/{entity_type}
Summary: Autocomplete search
Operation ID: autocomplete
Auth: unknown
Operation ID: autocomplete
Auth: unknown
Description
Fast typeahead search returning up to 10 results. Use for search-as-you-type interfaces.
Parameters (4)
api_key
(string, query, required)
Your OpenAlex API key (required). Get a free key at https://openalex.org/settings/api
entity_type
(string, path, required)
Type of entity to search
Constraints: {'enum': ['works', 'authors', 'sources', 'institutions', 'topics', 'keywords', 'publishers', 'funders']}
filter
(string, query, optional)
Filter results using field:value syntax. Multiple filters can be combined with commas (AND) or pipes (OR). Available fields vary by entity type.
q
(string, query, required)
Search query string
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Autocomplete works for 'machine learning' | curl |
https://api.openalex.org/autocomplete/works?q=machine+learning |
|
| Autocomplete authors with filter | curl |
https://api.openalex.org/autocomplete/authors?q=smith&filter=last_known_institution.type:education |
|
| Autocomplete institutions | curl |
https://api.openalex.org/autocomplete/institutions?q=university+of+california |
|
| Autocomplete authors query | doc_extracted |
https://api.openalex.org/autocomplete/authors?q=einst |
|
| Autocomplete institutions query | doc_extracted |
https://api.openalex.org/autocomplete/institutions?q=Royal%20Institute%20of%20Technology |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:47:36.219456 | 200 | 501ms | |
| 2026-03-23 10:32:07.602980 | 200 | 4837ms | |
| 2026-03-23 10:23:30.318770 | 200 | 523ms | |
| 2026-03-23 09:45:19.442190 | 400 | 230ms | |
| 2026-03-23 09:10:37.510287 | 200 | 743ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:45:19.442190 | 1729b0f5f45e |
d40f0f538235 |
| 2026-03-23 10:23:30.318770 | d40f0f538235 |
976d980916e1 |
| 2026-03-23 10:32:07.602980 | 976d980916e1 |
d231bc76fe8f |
| 2026-03-23 10:47:36.219456 | d231bc76fe8f |
a252c600de93 |